import { AfterViewInit, EventEmitter } from '@angular/core';
import { BsUserAgent } from '../user-agent.type';
import * as i0 from "@angular/core";
export declare class BsUserAgentDirective implements AfterViewInit {
    get isAndroid(): boolean;
    get isIos(): boolean;
    get isWindows(): boolean;
    ngAfterViewInit(): void;
    detected: EventEmitter<BsUserAgent | undefined>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsUserAgentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BsUserAgentDirective, "[bsUserAgent]", never, {}, { "detected": "detected"; }, never, never, false, never>;
}
